package com.abbidot.tracker.widget

/**
 *Created  by .yzq on 2024/1/25/025.
 * @link
 * @description:
 */
interface OnCircleViewScaleClickListener {
    fun circleScaleEndClick()
    fun circleStartDragClick()
    fun circleScalingClick()
    fun circleEndDragClick()
}

interface OnRectViewRotateScaleClickListener {
    fun rectRotateClick()
    fun rectScaleEndClick()
    fun rectScalingClick()
    fun rectStartDragClick()
    fun rectEndDragClick()
}

interface OnPolygonViewPointPullClickListener {
    fun polygonPointPullClick()
    fun polygonStartDragClick()
    fun polygonEndDragClick()
}